## Update a Zone Lockdown rule `client.firewall.lockdowns.update(stringlockDownsId, LockdownUpdateParamsparams, RequestOptionsoptions?): Lockdown` **put** `/zones/{zone_id}/firewall/lockdowns/{lock_downs_id}` Updates an existing Zone Lockdown rule. ### Parameters - `lockDownsId: string` The unique identifier of the Zone Lockdown rule. - `params: LockdownUpdateParams` - `zone_id: string` Path param: Defines an identifier. - `configurations: Configuration` Body param: A list of IP addresses or CIDR ranges that will be allowed to access the URLs specified in the Zone Lockdown rule. You can include any number of `ip` or `ip_range` configurations. - `LockdownIPConfiguration` - `target?: "ip"` The configuration target. You must set the target to `ip` when specifying an IP address in the Zone Lockdown rule. - `"ip"` - `value?: string` The IP address to match. This address will be compared to the IP address of incoming requests. - `LockdownCIDRConfiguration` - `target?: "ip_range"` The configuration target. You must set the target to `ip_range` when specifying an IP address range in the Zone Lockdown rule. - `"ip_range"` - `value?: string` The IP address range to match. You can only use prefix lengths `/16` and `/24`. - `urls: Array` Body param: The URLs to include in the current WAF override. You can use wildcards. Each entered URL will be escaped before use, which means you can only use simple wildcard patterns. ### Returns - `Lockdown` - `id: string` The unique identifier of the Zone Lockdown rule. - `configurations: Configuration` A list of IP addresses or CIDR ranges that will be allowed to access the URLs specified in the Zone Lockdown rule. You can include any number of `ip` or `ip_range` configurations. - `LockdownIPConfiguration` - `target?: "ip"` The configuration target. You must set the target to `ip` when specifying an IP address in the Zone Lockdown rule. - `"ip"` - `value?: string` The IP address to match. This address will be compared to the IP address of incoming requests. - `LockdownCIDRConfiguration` - `target?: "ip_range"` The configuration target. You must set the target to `ip_range` when specifying an IP address range in the Zone Lockdown rule. - `"ip_range"` - `value?: string` The IP address range to match. You can only use prefix lengths `/16` and `/24`. - `created_on: string` The timestamp of when the rule was created. - `description: string` An informative summary of the rule. - `modified_on: string` The timestamp of when the rule was last modified. - `paused: boolean` When true, indicates that the rule is currently paused. - `urls: Array` The URLs to include in the rule definition. You can use wildcards. Each entered URL will be escaped before use, which means you can only use simple wildcard patterns. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const lockdown = await client.firewall.lockdowns.update('372e67954025e0ba6aaa6d586b9e0b59', { zone_id: '023e105f4ecef8ad9ca31a8372d0c353', configurations: [{}], urls: ['shop.example.com/*'], }); console.log(lockdown.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "372e67954025e0ba6aaa6d586b9e0b59", "configurations": [ { "target": "ip", "value": "198.51.100.4" } ], "created_on": "2014-01-01T05:20:00.12345Z", "description": "Restrict access to these endpoints to requests from a known IP address", "modified_on": "2014-01-01T05:20:00.12345Z", "paused": false, "urls": [ "api.mysite.com/some/endpoint*" ] }, "success": true } ```